Name:           goaccess
Version:        1.9.4
Release:        %mkrel 1
Summary:        Real-time web log analyzer and interactive viewer
License:        GPLv2+
Group:          Monitoring
URL:            https://goaccess.io/
Source0:        http://tar.goaccess.io/goaccess-%{version}.tar.gz
BuildRequires:  pkgconfig(libmaxminddb)
BuildRequires:  glib2-devel
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(ncursesw)

%description
Open source real-time web log analyzer and interactive viewer that runs
in a terminal in *nix systems. It provides fast and valuable HTTP statistics
for system administrators that require a visual server report on the fly.

Features:
GoAccess parses the specified web log file and outputs the data to the X 
terminal.

* General Statistics, bandwidth, etc.
* Time taken to serve the request (useful to track pages that are 
slowing down your site)
* Top Visitors
* Requested files & static files
* 404 or Not Found
* Hosts, Reverse DNS, IP Location
* Operating Systems
* Browsers and Spiders
* Referring Sites & URLs
* Keyphrases
* Geo Location - Continent/Country/City New
* HTTP Status Codes
* Ability to output JSON and CSV
* Different Color Schemes
* Support for large datasets and data persistence New
* Support for IPv6
* Output statistics to HTML. See report.
* Nearly all web log formats...

GoAccess allows any custom log format string. Predefined options include, 
but not limited to:

* Common Log Format (CLF) Apache
* Combined Format (XLF/ELF) Apache|Nginx
* W3C format (IIS)
* Amazon CloudFront (Download Distribution).
* Apache virtual hosts

%prep
%setup -q

%build
%configure --enable-debug --enable-geoip=mmdb --enable-utf8
# --enable-tcb
# Note about Tokyo Cabinet hash table support. As you can see 0.8 onwards
# support hash table alternative from Tokyo Cabinet hash database, to replace
# GLib if needed. Basically, we can use GLib still as TC will introduce more
# dependencies.
# If upstream can prove that it's faster than GLib hash table on parsing, then
# we might switch to it.(From FAQ page I think glib is better)
%make_build

%install
%make_install
%find_lang %{name}

%files  -f %{name}.lang
%doc AUTHORS ChangeLog COPYING README.md TODO
%dir %{_sysconfdir}/goaccess
%config(noreplace) %{_sysconfdir}/goaccess/goaccess.conf
%config(noreplace) %{_sysconfdir}/goaccess/browsers.list
%config(noreplace) %{_sysconfdir}/goaccess/podcast.list
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*



%changelog
* Sun May 04 2025 kekepower <kekepower> 1.9.4-1.mga10
+ Revision: 2180869
- Update to version 1.9.4

* Sun Jun 02 2024 kekepower <kekepower> 1.9.3-1.mga10
+ Revision: 2069510
- Update to version 1.9.3

* Sat Apr 13 2024 kekepower <kekepower> 1.9.2-1.mga10
+ Revision: 2056725
- Update to version 1.9.2

* Tue Feb 06 2024 kekepower <kekepower> 1.9.1-1.mga10
+ Revision: 2037531
- Update to version 1.9.1

* Thu Nov 02 2023 kekepower <kekepower> 1.8.1-1.mga10
+ Revision: 2003551
- Update to version 1.8.1

* Sun Oct 01 2023 kekepower <kekepower> 1.8-1.mga10
+ Revision: 1992680
- Update to version 1.8

* Tue Apr 25 2023 guillomovitch <guillomovitch> 1.7.2-1.mga9
+ Revision: 1954945
- new version 1.7.2

* Sat Jan 07 2023 guillomovitch <guillomovitch> 1.7-1.mga9
+ Revision: 1930949
- new version 1.7

* Mon Nov 14 2022 guillomovitch <guillomovitch> 1.6.5-1.mga9
+ Revision: 1907262
- new version 1.6.5

* Tue Sep 06 2022 guillomovitch <guillomovitch> 1.6.3-1.mga9
+ Revision: 1884388
- new version 1.6.3

* Sat Jul 16 2022 guillomovitch <guillomovitch> 1.6.2-1.mga9
+ Revision: 1869187
- new version 1.6.2

* Sun Jun 12 2022 guillomovitch <guillomovitch> 1.6-1.mga9
+ Revision: 1864023
- new version 1.6

* Sun Apr 10 2022 guillomovitch <guillomovitch> 1.5.6-1.mga9
+ Revision: 1848594
- new version 1.5.6

* Fri Mar 18 2022 umeabot <umeabot> 1.5.5-2.mga9
+ Revision: 1797648
- Mageia 9 Mass Rebuild

* Sat Feb 05 2022 guillomovitch <guillomovitch> 1.5.5-1.mga9
+ Revision: 1771729
- new version 1.5.5

* Sat Jan 15 2022 guillomovitch <guillomovitch> 1.5.4-1.mga9
+ Revision: 1768422
- new version 1.5.4

* Sun Aug 22 2021 guillomovitch <guillomovitch> 1.5.1-1.mga9
+ Revision: 1742314
- new version 1.5.1

* Sun Mar 21 2021 guillomovitch <guillomovitch> 1.4.6-1.mga9
+ Revision: 1706789
- new version 1.4.6

* Sat Jan 16 2021 guillomovitch <guillomovitch> 1.4.3-1.mga8
+ Revision: 1671990
- new version 1.4.3

* Fri Jul 24 2020 guillomovitch <guillomovitch> 1.4-1.mga8
+ Revision: 1608670
- new version 1.4

* Fri Feb 14 2020 umeabot <umeabot> 1.3-2.mga8
+ Revision: 1521778
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Tue Jan 01 2019 guillomovitch <guillomovitch> 1.3-1.mga7
+ Revision: 1348238
- new version 1.3

* Sun Sep 23 2018 umeabot <umeabot> 1.2-2.mga7
+ Revision: 1298004
- Mageia 7 Mass Rebuild

* Tue Jul 18 2017 guillomovitch <guillomovitch> 1.2-1.mga7
+ Revision: 1124764
- new version 1.2

* Thu Jan 05 2017 guillomovitch <guillomovitch> 1.1.1-1.mga6
+ Revision: 1080179
- new version 1.1.1
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Dec 01 2015 guillomovitch <guillomovitch> 0.9.6-1.mga6
+ Revision: 907566
- new version 0.9.6

* Sun Oct 11 2015 guillomovitch <guillomovitch> 0.9.4-1.mga6
+ Revision: 889622
- new version 0.9.4

* Wed Jun 24 2015 guillomovitch <guillomovitch> 0.9.1-1.mga6
+ Revision: 842512
- new version 0.9.1

* Thu Feb 05 2015 guillomovitch <guillomovitch> 0.8.5-1.mga5
+ Revision: 813628
- imported package goaccess

